summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLucki2018-09-21 00:16:44 +0200
committerLucki2018-09-21 00:16:44 +0200
commitc93b8c7fa4409d793ccd729b7fa32e974d227e04 (patch)
treede9fdd75a662492c71ccad50d06871e90c64d1d0 /PKGBUILD
parent7d5758240889d5c486aa988885ad18388318296d (diff)
downloadaur-c93b8c7fa4409d793ccd729b7fa32e974d227e04.tar.gz
be safe
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD10
1 files changed, 5 insertions, 5 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 4f933225d51..3cb41d020b6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=londonlaw-git
_pkgname=${pkgname%-git}
pkgver=0.3.0_pre2.r1.g35d419f
-pkgrel=3
+pkgrel=4
pkgdesc="Clone of the famous Scotland Yard board game with network support."
arch=('any')
url="https://github.com/anyc/londonlaw"
@@ -21,17 +21,17 @@ sha512sums=('SKIP'
pkgver()
{
- cd "${srcdir}/${_pkgname}"
+ cd "${srcdir}/${_pkgname}" || exit
git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}
package()
{
- cd "${srcdir}"
+ cd "${srcdir}" || exit
install -Dm644 "${_pkgname}.desktop" "${pkgdir}/usr/share/applications/${_pkgname}.desktop"
- cd "${_pkgname}"
- python2 setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
+ cd "${_pkgname}" || exit
+ python2 setup.py install --root="${pkgdir}" --prefix=/usr --optimize=1
# https://lists.archlinux.org/pipermail/aur-general/2011-November/016777.html
mkdir -p "${pkgdir}/usr/share/doc/${_pkgname}"